Index: library/tests/epdf_harness.h
===================================================================
--- library/tests/epdf_harness.h (revision 462)
+++ library/tests/epdf_harness.h (revision 477)
@@ -22,33 +22,35 @@
 #include "base/user_info.h"
 
-namespace bdm
-{
+namespace bdm {
 
-class epdf_harness : public root
-{
+class epdf_harness : public root {
 private:
-    shared_ptr<epdf> hepdf;
-    vec mean;
-    vec variance;
-    mat support;
-    vec nbins;
-    int nsamples;
-    mat R;
-    shared_ptr<RV> mrv;
-    double tolerance;
+	shared_ptr<epdf> hepdf;
+	vec mean;
+	vec variance;
+	mat support;
+	vec nbins;
+	int nsamples;
+	mat R;
+	shared_ptr<RV> mrv;
+	double tolerance;
 
 public:
-    static void test_config(const char *config_file_name);
+	static void test_config ( const char *config_file_name );
 
-    epdf_harness():nsamples(1000), tolerance(0.1) { }
+	epdf_harness() : nsamples ( 1000 ), tolerance ( 0.1 ) { }
 
-    virtual void test(const char *config_name, int idx);
+	virtual void test ( const char *config_name, int idx );
 
-    void from_setting(const Setting &set);
+	void from_setting ( const Setting &set );
 
 protected:
-    epdf *get_epdf() { return hepdf.get(); }
+	epdf *get_epdf() {
+		return hepdf.get();
+	}
 
-    double get_tolerance() const { return tolerance; }
+	double get_tolerance() const {
+		return tolerance;
+	}
 };
 
Index: library/tests/testResample.cpp
===================================================================
--- library/tests/testResample.cpp (revision 386)
+++ library/tests/testResample.cpp (revision 477)
@@ -12,29 +12,33 @@
 int main() {
 
-	RV x("1");
-	RV xm=x; xm.t(-1);const
-	RV y("2");
-	
+	RV x ( "1" );
+	RV xm = x;
+	xm.t ( -1 );
+	const
+	RV y ( "2" );
+
 	mat A = "1";
 	vec vR = "1";
-	ldmat R(vR);
-		
+	ldmat R ( vR );
+
 	eEmp emp;
 	euni eun;
-	eun.set_parameters("0","1");
-	emp.set_statistics(ones(10),&eun);
-	vec &v=emp._w();
-	Array<vec> &S=emp._samples();
-	
-	for (int i=0;i<10;i++){	v(i) = exp(-0.5*sum(pow(S(i)-1,2.0))*10);}
-	v/=sum(v);
-	
+	eun.set_parameters ( "0", "1" );
+	emp.set_statistics ( ones ( 10 ), &eun );
+	vec &v = emp._w();
+	Array<vec> &S = emp._samples();
+
+	for ( int i = 0; i < 10; i++ ) {
+		v ( i ) = exp ( -0.5 * sum ( pow ( S ( i ) - 1, 2.0 ) ) * 10 );
+	}
+	v /= sum ( v );
+
 	cout << "p:" << S << endl;
 	cout << "w:" << v << endl;
-	
+
 	ivec ind = emp.resample();
-	
+
 	cout << ind << endl;
-	
+
 	//Exit program:
 	return 0;
Index: library/tests/egiw_harness.cpp
===================================================================
--- library/tests/egiw_harness.cpp (revision 475)
+++ library/tests/egiw_harness.cpp (revision 477)
@@ -7,21 +7,20 @@
 namespace bdm {
 
-void egiw_harness::from_setting(const Setting &set) {
-    epdf_harness::from_setting(set);				
-    UI::get(lognc, set, "lognc", UI::compulsory);
+void egiw_harness::from_setting ( const Setting &set ) {
+	epdf_harness::from_setting ( set );
+	UI::get ( lognc, set, "lognc", UI::compulsory );
 }
 
-void egiw_harness::test(const char *config_name, int idx)
-{
-    epdf_harness::test(config_name, idx);
+void egiw_harness::test ( const char *config_name, int idx ) {
+	epdf_harness::test ( config_name, idx );
 
-    CurrentContext cc(config_name, idx);
+	CurrentContext cc ( config_name, idx );
 
-    egiw *wide = dynamic_cast<egiw *>(get_epdf());
-    CHECK(wide);
+	egiw *wide = dynamic_cast<egiw *> ( get_epdf() );
+	CHECK ( wide );
 
-    if (wide) {
-        CHECK_CLOSE_EX(lognc, wide->lognc(), get_tolerance());
-    }
+	if ( wide ) {
+		CHECK_CLOSE_EX ( lognc, wide->lognc(), get_tolerance() );
+	}
 }
 
Index: library/tests/mpdf_harness.h
===================================================================
--- library/tests/mpdf_harness.h (revision 456)
+++ library/tests/mpdf_harness.h (revision 477)
@@ -22,28 +22,28 @@
 #include "base/user_info.h"
 
-namespace bdm
-{
+namespace bdm {
 
-class mpdf_harness : public root
-{
+class mpdf_harness : public root {
 private:
-    shared_ptr<mpdf> hmpdf;
-    vec cond;
-    vec mean;
-    int nsamples;
-    mat R;
-    double tolerance;
+	shared_ptr<mpdf> hmpdf;
+	vec cond;
+	vec mean;
+	int nsamples;
+	mat R;
+	double tolerance;
 
-public:    
-    static void test_config(const char *config_file_name);
+public:
+	static void test_config ( const char *config_file_name );
 
-    mpdf_harness():nsamples(1000), tolerance(0.1) { }
+	mpdf_harness() : nsamples ( 1000 ), tolerance ( 0.1 ) { }
 
-    virtual void test(const char *config_name, int idx);
+	virtual void test ( const char *config_name, int idx );
 
-    void from_setting(const Setting &set);
+	void from_setting ( const Setting &set );
 
 protected:
-    mpdf *get_mpdf() { return hmpdf.get(); }
+	mpdf *get_mpdf() {
+		return hmpdf.get();
+	}
 };
 
Index: library/tests/tutorial/arx_simple.cpp
===================================================================
--- library/tests/tutorial/arx_simple.cpp (revision 386)
+++ library/tests/tutorial/arx_simple.cpp (revision 477)
@@ -1,15 +1,16 @@
 #include "estim/arx.h"
 using namespace bdm;
-	
+
 // estimation of AR(0) model
 int main() {
-	//prior 
-	mat V0 = 0.00001*eye(2); V0(0,0)= 0.1; //
-	ARX Ar; 
-	Ar.set_statistics(1, V0); //nu is default (set to have finite moments)
-							  // forgetting is default: 1.0
-	mat Data = concat_vertical( randn(1,100), ones(1,100) );
-	Ar.bayesB( Data); 
-			
-	cout << "Expected value of Theta is: " << Ar.posterior().mean() <<endl;
+	//prior
+	mat V0 = 0.00001 * eye ( 2 );
+	V0 ( 0, 0 ) = 0.1; //
+	ARX Ar;
+	Ar.set_statistics ( 1, V0 ); //nu is default (set to have finite moments)
+	// forgetting is default: 1.0
+	mat Data = concat_vertical ( randn ( 1, 100 ), ones ( 1, 100 ) );
+	Ar.bayesB ( Data );
+
+	cout << "Expected value of Theta is: " << Ar.posterior().mean() << endl;
 }
Index: library/tests/rv_test.cpp
===================================================================
--- library/tests/rv_test.cpp (revision 431)
+++ library/tests/rv_test.cpp (revision 477)
@@ -6,113 +6,112 @@
 using namespace bdm;
 
-TEST(test_rv)
-{
-    RV a = RV("{a }", "3");
-    CHECK_EQUAL(1, a.length());
-    CHECK_EQUAL(3, a.size(0));
-    CHECK_EQUAL(std::string("a"), a.name(0));
+TEST ( test_rv ) {
+	RV a = RV ( "{a }", "3" );
+	CHECK_EQUAL ( 1, a.length() );
+	CHECK_EQUAL ( 3, a.size ( 0 ) );
+	CHECK_EQUAL ( std::string ( "a" ), a.name ( 0 ) );
 
-    RV b = RV("{b }", "2");
-    CHECK_EQUAL(0, b.mint());
+	RV b = RV ( "{b }", "2" );
+	CHECK_EQUAL ( 0, b.mint() );
 
-    RV c = RV("{c }");
-    CHECK_EQUAL(1, c.length());
-    CHECK_EQUAL(1, c.size(0));
+	RV c = RV ( "{c }" );
+	CHECK_EQUAL ( 1, c.length() );
+	CHECK_EQUAL ( 1, c.size ( 0 ) );
 
-    RV trv = RV("{e f }", "1 2", "3 4");
-    CHECK_EQUAL(2, trv.length());
-    CHECK_EQUAL(3, trv.mint());
+	RV trv = RV ( "{e f }", "1 2", "3 4" );
+	CHECK_EQUAL ( 2, trv.length() );
+	CHECK_EQUAL ( 3, trv.mint() );
 
-    // add a and b
-    RV ab = a;
-    bool added = ab.add(b);
-    CHECK(added);
-    CHECK_EQUAL(2, ab.length());
-    CHECK_EQUAL(3, ab.size(0));
-    CHECK_EQUAL(std::string("a"), ab.name(0));
-    CHECK_EQUAL(2, ab.size(1));
-    CHECK_EQUAL(std::string("b"), ab.name(1));
+	// add a and b
+	RV ab = a;
+	bool added = ab.add ( b );
+	CHECK ( added );
+	CHECK_EQUAL ( 2, ab.length() );
+	CHECK_EQUAL ( 3, ab.size ( 0 ) );
+	CHECK_EQUAL ( std::string ( "a" ), ab.name ( 0 ) );
+	CHECK_EQUAL ( 2, ab.size ( 1 ) );
+	CHECK_EQUAL ( std::string ( "b" ), ab.name ( 1 ) );
 
-    std::stringstream abss;
-    abss << ab;
-    CHECK_EQUAL(std::string("1(3)=a_{0}; 2(2)=b_{0}; "), abss.str());
+	std::stringstream abss;
+	abss << ab;
+	CHECK_EQUAL ( std::string ( "1(3)=a_{0}; 2(2)=b_{0}; " ), abss.str() );
 
-    // concat a, b and c
-    RV abc = concat(ab, c);
-    CHECK_EQUAL(3, abc.length());
-    std::stringstream abcss;
-    abcss << abc;
-    CHECK_EQUAL(std::string("1(3)=a_{0}; 2(2)=b_{0}; 3(1)=c_{0}; "), abcss.str());
+	// concat a, b and c
+	RV abc = concat ( ab, c );
+	CHECK_EQUAL ( 3, abc.length() );
+	std::stringstream abcss;
+	abcss << abc;
+	CHECK_EQUAL ( std::string ( "1(3)=a_{0}; 2(2)=b_{0}; 3(1)=c_{0}; " ), abcss.str() );
 
-    // structure of a, b, c
-    str s = abc.tostr();
-    int exp_ids[] = { 1, 1, 1, 2, 2, 3 };
-    int exp_sz = sizeof(exp_ids) / sizeof(exp_ids[0]);
-    CHECK_EQUAL(exp_sz, s.ids.size());
-    CHECK_EQUAL(exp_sz, s.times.size());
-    for (int i = 0; i < exp_sz; ++i) {
-        CHECK_EQUAL(exp_ids[i], s.ids(i));
-        CHECK_EQUAL(0, s.times(i));
-    }
+	// structure of a, b, c
+	str s = abc.tostr();
+	int exp_ids[] = { 1, 1, 1, 2, 2, 3 };
+	int exp_sz = sizeof ( exp_ids ) / sizeof ( exp_ids[0] );
+	CHECK_EQUAL ( exp_sz, s.ids.size() );
+	CHECK_EQUAL ( exp_sz, s.times.size() );
+	for ( int i = 0; i < exp_sz; ++i ) {
+		CHECK_EQUAL ( exp_ids[i], s.ids ( i ) );
+		CHECK_EQUAL ( 0, s.times ( i ) );
+	}
 
-    RV slice = abc(1, 2);
-    CHECK_EQUAL(1, slice.length());
-    CHECK_EQUAL(3, slice.size(0));
-    CHECK_EQUAL(std::string("a"), slice.name(0));
+	RV slice = abc ( 1, 2 );
+	CHECK_EQUAL ( 1, slice.length() );
+	CHECK_EQUAL ( 3, slice.size ( 0 ) );
+	CHECK_EQUAL ( std::string ( "a" ), slice.name ( 0 ) );
 
-    // find a in abc
-    ivec f = a.findself(abc);
-    CHECK_EQUAL(1, f.length());
-    CHECK_EQUAL(0, f(0));
+	// find a in abc
+	ivec f = a.findself ( abc );
+	CHECK_EQUAL ( 1, f.length() );
+	CHECK_EQUAL ( 0, f ( 0 ) );
 
-    // find abc in a
-    f = abc.findself(a);
-    int exp_indices[] = { 0, -1, -1 };
-    CHECK_EQUAL(3, f.length());
-    for (unsigned i = 0;
-	 i < sizeof(exp_indices) / sizeof(exp_indices[0]);
-	 ++i) {
-        CHECK_EQUAL(exp_indices[i], f(i));
-    }
+	// find abc in a
+	f = abc.findself ( a );
+	int exp_indices[] = { 0, -1, -1 };
+	CHECK_EQUAL ( 3, f.length() );
+	for ( unsigned i = 0;
+	        i < sizeof ( exp_indices ) / sizeof ( exp_indices[0] );
+	        ++i ) {
+		CHECK_EQUAL ( exp_indices[i], f ( i ) );
+	}
 
-    // subtract b from abc
-    RV ac = abc.subt(b);
-    std::stringstream acss;
-    acss << ac;
-    CHECK_EQUAL(std::string("1(3)=a_{0}; 3(1)=c_{0}; "), acss.str());
+	// subtract b from abc
+	RV ac = abc.subt ( b );
+	std::stringstream acss;
+	acss << ac;
+	CHECK_EQUAL ( std::string ( "1(3)=a_{0}; 3(1)=c_{0}; " ), acss.str() );
 
-    // data index of ac in abc
-    ivec di = ac.dataind(abc);
-    int exp_di[] = { 0, 1, 2, 5 };
-    exp_sz = sizeof(exp_di) / sizeof(exp_di[0]);
-    CHECK_EQUAL(exp_sz, di.size());
-    for (int i = 0; i < exp_sz; ++i) {
-        CHECK_EQUAL(exp_di[i], di(i));
-    }
+	// data index of ac in abc
+	ivec di = ac.dataind ( abc );
+	int exp_di[] = { 0, 1, 2, 5 };
+	exp_sz = sizeof ( exp_di ) / sizeof ( exp_di[0] );
+	CHECK_EQUAL ( exp_sz, di.size() );
+	for ( int i = 0; i < exp_sz; ++i ) {
+		CHECK_EQUAL ( exp_di[i], di ( i ) );
+	}
 
-    // Copy indices between ba and ab
-    RV ba = b;
-    ba.add(a);
-	
-    ivec ai;
-    ivec bi;
-    ba.dataind(ac, ai, bi);
+	// Copy indices between ba and ab
+	RV ba = b;
+	ba.add ( a );
 
-    int exp_ai[] = { 2, 3, 4 };
-    exp_sz = sizeof(exp_ai) / sizeof(exp_ai[0]);
-    CHECK_EQUAL(exp_sz, ai.size());
-    for (unsigned i = 0;
-	 i < sizeof(exp_ai) / sizeof(exp_ai[0]);
-	 ++i) {
-        CHECK_EQUAL(exp_ai[i], ai(i));
-    }
+	ivec ai;
+	ivec bi;
+	ba.dataind ( ac, ai, bi );
 
-    int exp_bi[] = { 0, 1, 2 };
-    exp_sz = sizeof(exp_bi) / sizeof(exp_bi[0]);
-    CHECK_EQUAL(exp_sz, bi.size());
-    for (unsigned i = 0;
-	 i < sizeof(exp_bi) / sizeof(exp_bi[0]);
-	 ++i) {
-        CHECK_EQUAL(exp_bi[i], bi(i));
-    }
+	int exp_ai[] = { 2, 3, 4 };
+	exp_sz = sizeof ( exp_ai ) / sizeof ( exp_ai[0] );
+	CHECK_EQUAL ( exp_sz, ai.size() );
+	for ( unsigned i = 0;
+	        i < sizeof ( exp_ai ) / sizeof ( exp_ai[0] );
+	        ++i ) {
+		CHECK_EQUAL ( exp_ai[i], ai ( i ) );
+	}
+
+	int exp_bi[] = { 0, 1, 2 };
+	exp_sz = sizeof ( exp_bi ) / sizeof ( exp_bi[0] );
+	CHECK_EQUAL ( exp_sz, bi.size() );
+	for ( unsigned i = 0;
+	        i < sizeof ( exp_bi ) / sizeof ( exp_bi[0] );
+	        ++i ) {
+		CHECK_EQUAL ( exp_bi[i], bi ( i ) );
+	}
 }
Index: library/tests/arx_test.cpp
===================================================================
--- library/tests/arx_test.cpp (revision 386)
+++ library/tests/arx_test.cpp (revision 477)
@@ -1,4 +1,4 @@
 /*!
-\file 
+\file
 \brief Test of basic elements of the ARX class
 
@@ -17,13 +17,14 @@
 	// Setup model
 	vec th ( "0.8 -0.3 0.4 0.01" );
-	int ord=th.length(); //auxiliary variable
-	double sqr=0.1;
+	int ord = th.length(); //auxiliary variable
+	double sqr = 0.1;
 
 	//Test constructor
-	mat V0 = 0.00001*eye ( ord+1 ); V0 ( 0.0 ) = 1; //
-	double nu0 = ord+5.0;
+	mat V0 = 0.00001 * eye ( ord + 1 );
+	V0 ( 0.0 ) = 1; //
+	double nu0 = ord + 5.0;
 
 	ARX Ar;
-	Ar.set_statistics(1, V0, nu0 );                 // Estimator
+	Ar.set_statistics ( 1, V0, nu0 );               // Estimator
 	const epdf& f_thr = Ar.posterior();          // refrence to posterior of the estimator
 
@@ -31,18 +32,20 @@
 	int ndat = 100;                 // number of data records
 	vec Yt ( ndat );                // Store generated data
-	Yt.set_subvector ( 0,randn ( ord ) ); //initial values
+	Yt.set_subvector ( 0, randn ( ord ) ); //initial values
 	vec rgr ( ord );                // regressor
-	vec Psi ( ord+1 );              // extended regressor
+	vec Psi ( ord + 1 );            // extended regressor
 
 	//print moments of the prior distribution
-	cout << "prior mean: " << f_thr.mean() <<endl;
-	cout << "prior variance: " << f_thr.variance() <<endl;
+	cout << "prior mean: " << f_thr.mean() << endl;
+	cout << "prior variance: " << f_thr.variance() << endl;
 
 	// cycle over time:
-	for ( int t=ord; t<ndat; t++ ) {
+	for ( int t = ord; t < ndat; t++ ) {
 		//Generate regressor
-		for ( int j=0;j< ( ord );j++ ) {rgr ( j ) =Yt ( t-j-1 );}
+		for ( int j = 0; j < ( ord ); j++ ) {
+			rgr ( j ) = Yt ( t - j - 1 );
+		}
 		//model
-		Yt ( t ) = th*rgr + sqr * NorRNG();
+		Yt ( t ) = th * rgr + sqr * NorRNG();
 
 		Psi = concat ( Yt ( t ), rgr ); // Inefficient! Used for compatibility with Matlab!
@@ -53,14 +56,14 @@
 		// Test similarity of likelihoods from the Bayes rule and the predictor
 		cout << "BR log-lik: " << Ar._ll();
-		cout <<" , predictor ll: " <<  Pr->evallogcond ( vec_1 ( Yt ( t ) ),rgr )  <<endl;
+		cout << " , predictor ll: " <<  Pr->evallogcond ( vec_1 ( Yt ( t ) ), rgr )  << endl;
 		delete Pr;
 	}
 	//print posterior moments
-	cout << "posterior mean: " << f_thr.mean() <<endl;
-	cout << "posterior variance: " << f_thr.variance() <<endl;
+	cout << "posterior mean: " << f_thr.mean() << endl;
+	cout << "posterior variance: " << f_thr.variance() << endl;
 
 	// Test brute-froce structure estimation
-	
-	cout << "Structure estimation: " <<endl;
-	cout <<Ar.structure_est ( egiw ( 1,V0,nu0 ) ) <<endl;
+
+	cout << "Structure estimation: " << endl;
+	cout << Ar.structure_est ( egiw ( 1, V0, nu0 ) ) << endl;
 }
Index: library/tests/testSmp.cpp
===================================================================
--- library/tests/testSmp.cpp (revision 461)
+++ library/tests/testSmp.cpp (revision 477)
@@ -9,13 +9,13 @@
 using std::endl;
 
-void disp(const vec &tmu, const mat &tR,const mat &Smp){
+void disp ( const vec &tmu, const mat &tR, const mat &Smp ) {
 	int N = Smp.cols();
-	vec Emu = Smp*ones(N) /N ;
-	mat Er = (Smp*Smp.transpose())/N - outer_product(Emu,Emu);
-	cout << "True mu:" << tmu <<endl;
-	cout << "Emp  mu:" << Emu <<endl;
-	
-	cout << "True R:" << tR <<endl;
-	cout << "Emp  R:" << Er <<endl;
+	vec Emu = Smp * ones ( N ) / N ;
+	mat Er = ( Smp * Smp.transpose() ) / N - outer_product ( Emu, Emu );
+	cout << "True mu:" << tmu << endl;
+	cout << "Emp  mu:" << Emu << endl;
+
+	cout << "True R:" << tR << endl;
+	cout << "Emp  R:" << Er << endl;
 }
 
@@ -24,114 +24,119 @@
 	RNG_randomize();
 
-	RV x("{x }","2");
-	RV y("{y }","2");
+	RV x ( "{x }", "2" );
+	RV y ( "{y }", "2" );
 	int N = 10000; //number of samples
 	vec mu0 = "1.5 1.7";
-	mat V0("1.2 0.3; 0.3 5");
-	ldmat R = ldmat(V0);
-	
-	cout << "====== ENorm ====== " <<endl;
+	mat V0 ( "1.2 0.3; 0.3 5" );
+	ldmat R = ldmat ( V0 );
+
+	cout << "====== ENorm ====== " << endl;
 	enorm<ldmat> eN;
-	eN.set_parameters(mu0,R);
-	mat Smp = eN.sample_m(N);
+	eN.set_parameters ( mu0, R );
+	mat Smp = eN.sample_m ( N );
 
-	disp(mu0,R.to_mat(),Smp);
+	disp ( mu0, R.to_mat(), Smp );
 
-	cout << "====== MlNorm ====== " <<endl;
-	mat I = eye(2);
+	cout << "====== MlNorm ====== " << endl;
+	mat I = eye ( 2 );
 	mlnorm<ldmat> ML;
-	ML.set_parameters(I,zeros(2),R);
-	Smp = ML.samplecond_m(mu0,N);
-	
-	disp(mu0,R.to_mat(),Smp);
+	ML.set_parameters ( I, zeros ( 2 ), R );
+	Smp = ML.samplecond_m ( mu0, N );
 
-	cout << "====== EGamma ====== " <<endl;	
+	disp ( mu0, R.to_mat(), Smp );
+
+	cout << "====== EGamma ====== " << endl;
 	vec a = "100000,10000";
-	vec b = a/10.0;
+	vec b = a / 10.0;
 	egamma eG;
-	eG.set_parameters(a,b);
-	
-	cout << eG.evallog(a)<<endl;
-	Smp = eG.sample_m(N);
+	eG.set_parameters ( a, b );
 
-	vec g_mu = elem_div(a,b);
-	vec g_var = elem_div(a,pow(b,2.0));
-	disp(g_mu,diag(g_var),Smp);
+	cout << eG.evallog ( a ) << endl;
+	Smp = eG.sample_m ( N );
 
-	cout << "====== MGamma ====== " <<endl;	
+	vec g_mu = elem_div ( a, b );
+	vec g_var = elem_div ( a, pow ( b, 2.0 ) );
+	disp ( g_mu, diag ( g_var ), Smp );
+
+	cout << "====== MGamma ====== " << endl;
 	mgamma mG;
 	double k = 10.0;
-	mG.set_parameters(k,mu0);
+	mG.set_parameters ( k, mu0 );
 
-	Smp=mG.samplecond_m(mu0,N);
-	disp(mu0,pow(mu0,2.0)/k,Smp);
-	
+	Smp = mG.samplecond_m ( mu0, N );
+	disp ( mu0, pow ( mu0, 2.0 ) / k, Smp );
+
 	cout << "======= EMix ======== " << endl;
 	emix eMix;
-	Array<epdf*> Coms(2);
-	Coms(0) = &eG;
-	Coms(1) = &eN;
-	
-	eMix.set_parameters(vec_2(0.5,0.5), Coms);
+	Array<epdf*> Coms ( 2 );
+	Coms ( 0 ) = &eG;
+	Coms ( 1 ) = &eN;
+
+	eMix.set_parameters ( vec_2 ( 0.5, 0.5 ), Coms );
 	vec smp = eMix.sample();
-	Smp = eMix.sample_m(N);
-	disp(eMix.mean(),zeros(2),Smp);
+	Smp = eMix.sample_m ( N );
+	disp ( eMix.mean(), zeros ( 2 ), Smp );
 
 	cout << "======= MEpdf ======== " << endl;
-	mepdf meMix(&eMix);
-	
-	Smp = meMix.samplecond_m(mu0,N);
-	disp(eMix.mean(),zeros(2),Smp);
+	mepdf meMix ( &eMix );
+
+	Smp = meMix.samplecond_m ( mu0, N );
+	disp ( eMix.mean(), zeros ( 2 ), Smp );
 
 	cout << "======= MMix ======== " << endl;
 	mmix mMix;
-	Array<mpdf*> mComs(2);
-	mComs(0) = &mG;
-	eN.set_mu(vec_2(0.0,0.0));
-	mepdf mEnorm(&eN);
-	mComs(1) = &mEnorm;
-	mMix.set_parameters(vec_2(0.5,0.5),mComs);
-	
-	Smp = mMix.samplecond_m(mu0,N);
-	disp(mMix.e()->mean(), zeros(2), Smp);
+	Array<mpdf*> mComs ( 2 );
+	mComs ( 0 ) = &mG;
+	eN.set_mu ( vec_2 ( 0.0, 0.0 ) );
+	mepdf mEnorm ( &eN );
+	mComs ( 1 ) = &mEnorm;
+	mMix.set_parameters ( vec_2 ( 0.5, 0.5 ), mComs );
+
+	Smp = mMix.samplecond_m ( mu0, N );
+	disp ( mMix.e()->mean(), zeros ( 2 ), Smp );
 
 	cout << "======= EProd ======== " << endl;
 	// we have to change eG.rv to y
-	eN.set_rv(x);
-	eG.set_rv(y);
-	//create array 
-	Array<mpdf*> A(2);
-	mepdf meN(&eN);
-	mepdf meG(&eG);
-	A(0) = &meN;
-	A(1) = &meG;
-	
-	mprod eP(A);
-	mat epV=zeros(4,4);
-	epV.set_submatrix(0,0,V0);
-	epV.set_submatrix(2,2,diag(g_var));
-	
-	vec v0=vec(0);
-	Smp = eP.samplecond(v0,N);
-	disp(concat(eN.mean(),eG.mean()), epV,Smp);
-	
+	eN.set_rv ( x );
+	eG.set_rv ( y );
+	//create array
+	Array<mpdf*> A ( 2 );
+	mepdf meN ( &eN );
+	mepdf meG ( &eG );
+	A ( 0 ) = &meN;
+	A ( 1 ) = &meG;
+
+	mprod eP ( A );
+	mat epV = zeros ( 4, 4 );
+	epV.set_submatrix ( 0, 0, V0 );
+	epV.set_submatrix ( 2, 2, diag ( g_var ) );
+
+	vec v0 = vec ( 0 );
+	Smp = eP.samplecond ( v0, N );
+	disp ( concat ( eN.mean(), eG.mean() ), epV, Smp );
+
 	cout << "======= eWishart ======== " << endl;
-	mat wM="1.0 0.9; 0.9 1.0";
-	eWishartCh eW; eW.set_parameters(wM/100,100);
-	mat mea=zeros(2,2);
-	mat Ch(2,2);
-	for (int i=0;i<100;i++){Ch=eW.sample_mat(); mea+=Ch.T()*Ch;}
-	cout << mea /100 <<endl;
-	
+	mat wM = "1.0 0.9; 0.9 1.0";
+	eWishartCh eW;
+	eW.set_parameters ( wM / 100, 100 );
+	mat mea = zeros ( 2, 2 );
+	mat Ch ( 2, 2 );
+	for ( int i = 0; i < 100; i++ ) {
+		Ch = eW.sample_mat();
+		mea += Ch.T() * Ch;
+	}
+	cout << mea / 100 << endl;
+
 	cout << "======= rwiWishart ======== " << endl;
-	rwiWishartCh rwW; rwW.set_parameters(2,0.1,"1 1",0.9);
-	mea=zeros(2,2);
-	mat wMch=chol(wM);
-	for (int i=0;i<100;i++){ 
-		vec tmp=rwW.samplecond(vec(wMch._data(),4));
-		 copy_vector(4,tmp._data(), Ch._data()); 
-		 mea+=Ch.T()*Ch;
+	rwiWishartCh rwW;
+	rwW.set_parameters ( 2, 0.1, "1 1", 0.9 );
+	mea = zeros ( 2, 2 );
+	mat wMch = chol ( wM );
+	for ( int i = 0; i < 100; i++ ) {
+		vec tmp = rwW.samplecond ( vec ( wMch._data(), 4 ) );
+		copy_vector ( 4, tmp._data(), Ch._data() );
+		mea += Ch.T() * Ch;
 	}
-	cout << mea /100 <<endl;
+	cout << mea / 100 << endl;
 	//Exit program:
 	return 0;
Index: library/tests/epdf_harness.cpp
===================================================================
--- library/tests/epdf_harness.cpp (revision 471)
+++ library/tests/epdf_harness.cpp (revision 477)
@@ -12,107 +12,106 @@
 
 template<>
-const ParticularUI<epdf_harness> &ParticularUI<epdf_harness>::factory(
-    ParticularUI<epdf_harness>("epdf_harness"));
+const ParticularUI<epdf_harness> &ParticularUI<epdf_harness>::factory (
+    ParticularUI<epdf_harness> ( "epdf_harness" ) );
 
-void epdf_harness::test_config(const char *config_file_name) {
-    RV::clear_all();
+void epdf_harness::test_config ( const char *config_file_name ) {
+	RV::clear_all();
 
-    UIFile in(config_file_name);
-    Array<epdf_harness *> input;
-    UI::get(input, in, "data");
-    int sz = input.size();
-    CHECK(sz > 0);
-    for (int i = 0; i < sz; ++i) {
-        input(i)->test(config_file_name, i);
-    }
+	UIFile in ( config_file_name );
+	Array<epdf_harness *> input;
+	UI::get ( input, in, "data" );
+	int sz = input.size();
+	CHECK ( sz > 0 );
+	for ( int i = 0; i < sz; ++i ) {
+		input ( i )->test ( config_file_name, i );
+	}
 }
 
-void epdf_harness::from_setting(const Setting &set) {
-    hepdf = UI::build<epdf>(set, "epdf", UI::compulsory);
-    UI::get(mean, set, "mean", UI::compulsory);
-    UI::get(variance, set, "variance", UI::compulsory);
+void epdf_harness::from_setting ( const Setting &set ) {
+	hepdf = UI::build<epdf> ( set, "epdf", UI::compulsory );
+	UI::get ( mean, set, "mean", UI::compulsory );
+	UI::get ( variance, set, "variance", UI::compulsory );
 
 
-	UI::get(support, set, "support");
-	UI::get(nbins, set, "nbins");
-    UI::get(nsamples, set, "nsamples");
-    UI::get(R, set, "R");
+	UI::get ( support, set, "support" );
+	UI::get ( nbins, set, "nbins" );
+	UI::get ( nsamples, set, "nsamples" );
+	UI::get ( R, set, "R" );
 
-	RV* rv = UI::build<RV>(set, "marginal_rv");
-    if (rv) 
-        mrv = shared_ptr<RV>(rv);    
+	RV* rv = UI::build<RV> ( set, "marginal_rv" );
+	if ( rv )
+		mrv = shared_ptr<RV> ( rv );
 
-	UI::get(tolerance, set, "tolerance");    
+	UI::get ( tolerance, set, "tolerance" );
 }
 
-void epdf_harness::test(const char *config_name, int idx)
-{
-    CurrentContext cc(config_name, idx);
+void epdf_harness::test ( const char *config_name, int idx ) {
+	CurrentContext cc ( config_name, idx );
 
-    CHECK_CLOSE_EX(mean, hepdf->mean(), tolerance);
-    CHECK_CLOSE_EX(variance, hepdf->variance(), tolerance);
+	CHECK_CLOSE_EX ( mean, hepdf->mean(), tolerance );
+	CHECK_CLOSE_EX ( variance, hepdf->variance(), tolerance );
 
-    if (support.rows() == 2) {
-	vec xb = support.get_row(0);
-	vec yb = support.get_row(1);
+	if ( support.rows() == 2 ) {
+		vec xb = support.get_row ( 0 );
+		vec yb = support.get_row ( 1 );
 
-	int old_size = nbins.size();
-	if (old_size < 2) {
-	    vec new_nbins("100 100");
-	    for (int i = 0; i < old_size; ++i) {
-	        new_nbins(i) = nbins(i);
-	    }
+		int old_size = nbins.size();
+		if ( old_size < 2 ) {
+			vec new_nbins ( "100 100" );
+			for ( int i = 0; i < old_size; ++i ) {
+				new_nbins ( i ) = nbins ( i );
+			}
 
-	    nbins = new_nbins;
+			nbins = new_nbins;
+		}
+
+		CHECK_CLOSE_EX ( mean, num_mean2 ( hepdf.get(), xb, yb, nbins ( 0 ), nbins ( 1 ) ), tolerance );
+		CHECK_CLOSE_EX ( 1.0, normcoef ( hepdf.get(), xb, yb, nbins ( 0 ), nbins ( 1 ) ), tolerance );
 	}
 
-	CHECK_CLOSE_EX(mean, num_mean2(hepdf.get(), xb, yb, nbins(0), nbins(1)), tolerance);
-	CHECK_CLOSE_EX(1.0, normcoef(hepdf.get(), xb, yb, nbins(0), nbins(1)), tolerance);
-    }
+	if ( R.rows() > 0 ) {
+		mat smp = hepdf->sample_m ( nsamples );
+		vec emu = smp * ones ( nsamples ) / nsamples;
+		mat er = ( smp * smp.T() ) / nsamples - outer_product ( emu, emu );
 
-    if (R.rows() > 0) {
-	mat smp = hepdf->sample_m(nsamples);
-	vec emu = smp * ones(nsamples) / nsamples;
-	mat er = (smp * smp.T()) / nsamples - outer_product(emu, emu);
+		// simplify overloading for Visual Studio
+		vec delta = sqrt ( variance ) / sqrt ( static_cast<double> ( nsamples ) );
+		CHECK_CLOSE_EX ( mean, emu, delta );
 
-	// simplify overloading for Visual Studio
-	vec delta = sqrt(variance) / sqrt(static_cast<double>(nsamples));
-	CHECK_CLOSE_EX(mean, emu, delta);
-
-	CHECK_CLOSE_EX(R, er, tolerance);
-    }
-
-    if (mrv.get()) {
-        RV crv = hepdf->_rv().subt(*mrv);
-	shared_ptr<epdf> m = hepdf->marginal(*mrv);
-	shared_ptr<mpdf> c = hepdf->condition(crv);
-	mepdf mm(m);
-
-	Array<mpdf *> aa(2);
-	aa(0) = c.get();
-	aa(1) = &mm;
-	mprod mEp(aa);
-
-	mat smp = mEp.samplecond(vec(0), nsamples);
-	vec emu = sum(smp, 2) / nsamples;
-
-	// simplify overloading for Visual Studio
-	vec delta = sqrt(variance) / sqrt(static_cast<double>(nsamples));
-	CHECK_CLOSE_EX(mean, emu, delta);
-
-	if (R.rows() > 0) {
-	    mat er = (smp * smp.T()) / nsamples - outer_product(emu, emu);
-	    CHECK_CLOSE_EX(R, er, tolerance);
+		CHECK_CLOSE_EX ( R, er, tolerance );
 	}
 
-	// test of pdflog at zero
-	vec zero(0);
-	vec zeron(hepdf->dimension());
-	for (int i = 0; i < zeron.size(); ++i) {
-	    zeron(i) = 0;
+	if ( mrv.get() ) {
+		RV crv = hepdf->_rv().subt ( *mrv );
+		shared_ptr<epdf> m = hepdf->marginal ( *mrv );
+		shared_ptr<mpdf> c = hepdf->condition ( crv );
+		mepdf mm ( m );
+
+		Array<mpdf *> aa ( 2 );
+		aa ( 0 ) = c.get();
+		aa ( 1 ) = &mm;
+		mprod mEp ( aa );
+
+		mat smp = mEp.samplecond ( vec ( 0 ), nsamples );
+		vec emu = sum ( smp, 2 ) / nsamples;
+
+		// simplify overloading for Visual Studio
+		vec delta = sqrt ( variance ) / sqrt ( static_cast<double> ( nsamples ) );
+		CHECK_CLOSE_EX ( mean, emu, delta );
+
+		if ( R.rows() > 0 ) {
+			mat er = ( smp * smp.T() ) / nsamples - outer_product ( emu, emu );
+			CHECK_CLOSE_EX ( R, er, tolerance );
+		}
+
+		// test of pdflog at zero
+		vec zero ( 0 );
+		vec zeron ( hepdf->dimension() );
+		for ( int i = 0; i < zeron.size(); ++i ) {
+			zeron ( i ) = 0;
+		}
+
+		CHECK_CLOSE_EX ( hepdf->evallog ( zeron ), mEp.evallogcond ( zeron, zero ), tolerance );
 	}
-
-	CHECK_CLOSE_EX(hepdf->evallog(zeron), mEp.evallogcond(zeron, zero), tolerance);
-    }
 }
 
Index: library/tests/merger_iter_test.cpp
===================================================================
--- library/tests/merger_iter_test.cpp (revision 386)
+++ library/tests/merger_iter_test.cpp (revision 477)
@@ -14,55 +14,60 @@
 
 	RNG_randomize();
-	
-	RV x ( "{x }","1" );
-	RV y ( "{y }","1" );
 
-	RV xy=x; xy.add(y);
-	
-	enorm<fsqmat> f1;f1.set_rv ( xy );
-	enorm<fsqmat> f2;f2.set_rv ( xy );
-	enorm<fsqmat> f3;f3.set_rv(y);
-		
- 	f1.set_parameters ( "4 3",mat ( "0.4 0.3; 0.3 0.4" ) );
-	f2.set_parameters ( "1 3",mat ( "0.3 -0.2; -0.2 0.3" ) );
-	f3.set_parameters ( "2",mat("0.4") );
-	
+	RV x ( "{x }", "1" );
+	RV y ( "{y }", "1" );
+
+	RV xy = x;
+	xy.add ( y );
+
+	enorm<fsqmat> f1;
+	f1.set_rv ( xy );
+	enorm<fsqmat> f2;
+	f2.set_rv ( xy );
+	enorm<fsqmat> f3;
+	f3.set_rv ( y );
+
+	f1.set_parameters ( "4 3", mat ( "0.4 0.3; 0.3 0.4" ) );
+	f2.set_parameters ( "1 3", mat ( "0.3 -0.2; -0.2 0.3" ) );
+	f3.set_parameters ( "2", mat ( "0.4" ) );
+
 	Array<mpdf* > A ( 3 );
-	mepdf A1(&f1);
-	mepdf A2(&f2);
-	mepdf A3(&f3);
-	A ( 0 ) =&A1;
-	A ( 1 ) =&A2;
-	A ( 2 ) =&A3;
-	
-	int Npoints=100;
-	mat x_grid(1,Npoints);
-	x_grid.set_row(0,linspace ( -2.0, 4.0, Npoints ));
-	mat y_grid(1,Npoints);
-	y_grid.set_row(0,linspace ( -2.0, 4.0, Npoints ));
-	
-	mat Grid (2,Npoints*Npoints);
-	Grid.set_submatrix ( 0,0, kron(x_grid,ones(1,Npoints)) );
-	Grid.set_submatrix ( 1,0, kron(ones(1,Npoints), y_grid) );
-	
+	mepdf A1 ( &f1 );
+	mepdf A2 ( &f2 );
+	mepdf A3 ( &f3 );
+	A ( 0 ) = &A1;
+	A ( 1 ) = &A2;
+	A ( 2 ) = &A3;
+
+	int Npoints = 100;
+	mat x_grid ( 1, Npoints );
+	x_grid.set_row ( 0, linspace ( -2.0, 4.0, Npoints ) );
+	mat y_grid ( 1, Npoints );
+	y_grid.set_row ( 0, linspace ( -2.0, 4.0, Npoints ) );
+
+	mat Grid ( 2, Npoints*Npoints );
+	Grid.set_submatrix ( 0, 0, kron ( x_grid, ones ( 1, Npoints ) ) );
+	Grid.set_submatrix ( 1, 0, kron ( ones ( 1, Npoints ), y_grid ) );
+
 	merger_mix M ( A );
-	enorm<fsqmat> g0; g0.set_rv(xy);
-	g0.set_parameters(vec("4 4"),mat("1 0; 0 1"));
-	
-	M.set_parameters(5);
-	M.set_method(LOGNORMAL,1.2);
-	M.set_support(g0,400);
+	enorm<fsqmat> g0;
+	g0.set_rv ( xy );
+	g0.set_parameters ( vec ( "4 4" ), mat ( "1 0; 0 1" ) );
+
+	M.set_parameters ( 5 );
+	M.set_method ( LOGNORMAL, 1.2 );
+	M.set_support ( g0, 400 );
 	M.merge();
-	
+
 	MixEF &MM = M._Mix();
 	epdf* MP = MM.epredictor();//xy
-	
-	vec Res1 = M.evallog_m(Grid);
-	mat Res2 = ((emix*)MP)->evallog_M(Grid);
-	
-	it_file it("merger_iter_test.it");
-	it << Name("Npoints") << Npoints;
-	it << Name("Grid") << Grid;
-	it << Name("Res1") << Res1;
-	it << Name("Res2") << Res2;
+
+	vec Res1 = M.evallog_m ( Grid );
+	mat Res2 = ( ( emix* ) MP )->evallog_M ( Grid );
+
+	it_file it ( "merger_iter_test.it" );
+	it << Name ( "Npoints" ) << Npoints;
+	it << Name ( "Grid" ) << Grid;
+	it << Name ( "Res1" ) << Res1;
+	it << Name ( "Res2" ) << Res2;
 }
